> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer-stage.shipbob.dev/2026-07/api/receiving/cancel-warehouse-receiving-order/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server. # Cancel Warehouse Receiving Order POST https://sandbox-api.shipbob.com/2026-07/receiving/{id}:cancel Cancels an existing warehouse receiving order. Only orders in certain statuses can be cancelled. Reference: https://developer-stage.shipbob.dev/api/receiving/cancel-warehouse-receiving-order ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Request ### Path parameters - `id` (integer, required) — Id of the receiving order to cancel ## Response ### 200 Success - `box_labels_uri` (string, optional, nullable) — URL to the packing slip to be included in each box shipment for this receiving order - `box_packaging_type` (enum, optional) - Allowed values: `EverythingInOneBox`, `OneSkuPerBox`, `MultipleSkuPerBox` - `expected_arrival_date` (datetime, optional) — Expected date that all packages will have arrived. Returned as a full RFC 3339 date-time, for example 2026-08-05T00:00:00Z. - `external_sync_timestamp` (datetime, optional, nullable) — The timestamp in UTC when a 3rd party integrator has set in our system - `fulfillment_center` (Receiving.FulfillmentCenterViewModel, optional) — Information about a fulfillment center - `id` (integer, optional) — Unique id of the warehouse receiving order - `insert_date` (datetime, optional) — Insert date of the receiving order. Returned as a full RFC 3339 date-time, for example 2026-08-05T00:00:00Z. - `inventory_quantities` (list of Receiving.V2.InventoryQuantityViewModel, optional, nullable) — Inventory items and quantities within the WRO - `last_updated_date` (datetime, optional) — Last date the receiving order was updated. Returned as a full RFC 3339 date-time, for example 2026-08-05T00:00:00Z. - `package_type` (enum, optional) - Allowed values: `Package`, `Pallet`, `FloorLoadedContainer` - `purchase_order_number` (string, optional, nullable) — Purchase order number for a receiving order - `status` (enum, optional) - Allowed values: `Awaiting`, `Processing`, `Completed`, `Cancelled`, `Incomplete`, `Arrived`, `PartiallyArrived`, `PartiallyArrivedAtHub`, `ArrivedAtHub`, `ProcessingAtHub`, `InternalTransfer` - `status_history` (list of Receiving.V2.ReceivingOrderStatusHistoryViewModel, optional, nullable) — The history of status changes for this receiving order ## Errors ### 401 Unauthorized Error Authorization missing or invalid - `any` ### 403 Forbidden Error The provided credentials are not authorized to access this resource - `any` ### 404 Not Found Error Not Found - `detail` (string, optional, nullable) - `errors` (map from string to list of string, optional, nullable) - `instance` (string, optional, nullable) - `status` (integer, optional, nullable) - `title` (string, optional, nullable) - `type` (string, optional, nullable) ### 422 Unprocessable Entity Error Client Error - `map from string to list of string` ## Types ### Receiving.FulfillmentCenterViewModel Information about a fulfillment center - `address1` (string, optional, nullable) — Address line one of the fulfillment center - `address2` (string, optional, nullable) — Address line two of the fulfillment center - `city` (string, optional, nullable) — City the fulfillment center is located in - `country` (string, optional, nullable) — Country the fulfillment center is located in - `email` (string, optional, nullable) — Email contact for the fulfillment center - `id` (integer, optional) — Unique identifier of the fulfillment center - `name` (string, optional, nullable) — Name of the fulfillment center - `phone_number` (string, optional, nullable) — Phone number contact for the fulfillment center - `state` (string, optional, nullable) — State the fulfillment center is located in - `timezone` (string, optional, nullable) — Timezone the fulfillment center is located in - `zip_code` (string, optional, nullable) — Postal code of the fulfillment center ### Receiving.V2.InventoryQuantityViewModel - `expected_quantity` (integer, optional) — Quantity of the inventory item submitted in the WRO - `inventory_id` (integer, optional) — ID of the inventory item - `received_quantity` (integer, optional) — Quantity of the inventory item received by the warehouse - `sku` (string, optional, nullable) — Sku of the inventory item - `stowed_quantity` (integer, optional) — Quantity of the inventory item stowed by the warehouse ### Receiving.V2.ReceivingOrderStatusHistoryViewModel View model for receiving order status history - `id` (integer, optional) — Unique id of the status - `status` (string, optional, nullable) — Name of the status - `timestamp` (datetime, optional) — Timestamp when the status was recorded ## Examples **Response** ```json { "box_labels_uri": "https://api.shipbob.com/2026-07/receiving/1/labels", "box_packaging_type": "EverythingInOneBox", "expected_arrival_date": "2019-08-24T14:15:22+00:00", "external_sync_timestamp": "2019-08-24T14:15:22+00:00", "fulfillment_center": { "address1": "5900 W Ogden Ave", "address2": "Suite 100", "city": "Cicero", "country": "USA", "email": "example@example.com", "id": 0, "name": "Cicero (IL)", "phone_number": "555-555-5555", "state": "IL", "timezone": "Central Standard Time", "zip_code": "60804" }, "id": 0, "insert_date": "2019-08-24T14:15:22+00:00", "inventory_quantities": [ { "expected_quantity": 0, "inventory_id": 0, "received_quantity": 0, "sku": "string", "stowed_quantity": 0 } ], "last_updated_date": "2019-08-24T14:15:22+00:00", "package_type": "Package", "purchase_order_number": "string", "status": "Awaiting", "status_history": [ { "id": 0, "status": "Processing", "timestamp": "2019-08-24T14:15:22+00:00" } ] } ``` **SDK Code** ```python default import requests url = "https://sandbox-api.shipbob.com/2026-07/receiving/1:cancel" headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript default const url = 'https://sandbox-api.shipbob.com/2026-07/receiving/1:cancel'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://sandbox-api.shipbob.com/2026-07/receiving/1:cancel" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://sandbox-api.shipbob.com/2026-07/receiving/1:cancel") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://sandbox-api.shipbob.com/2026-07/receiving/1:cancel") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('POST', 'https://sandbox-api.shipbob.com/2026-07/receiving/1:cancel', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://sandbox-api.shipbob.com/2026-07/receiving/1:cancel"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2026-07/receiving/1:cancel")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```